Skip to main content
GET
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
reports
/
metadata
List report metadata
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/reports/metadata \
  --header 'x-api-key: <api-key>'
{
  "reports": [
    {
      "id": "<string>",
      "report_job_id": "<string>",
      "account_id": "<string>",
      "template_id": "<string>",
      "content_type": "application/pdf",
      "content_language": "en",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "created_at": "2023-11-07T05:31:56Z",
      "data_from": "2023-11-07T05:31:56Z",
      "data_to": "2023-11-07T05:31:56Z",
      "schedule": "<string>",
      "report_file_name": "<string>",
      "custom_report_name": "<string>",
      "report_config_id": "<string>",
      "data_type": "<string>",
      "signed_url": "<string>",
      "report_filters": [
        {
          "filter": "operation_payout_destination",
          "value": "<string>"
        }
      ]
    }
  ],
  "starting_after": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing regular endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

Response

Report Metadata

reports
object[]
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.